### Method

# GimpUi ColorNotebook set_simulation

#### Declaration [src]

    void
    gimp_color_notebook_set_simulation (
      GimpColorNotebook* notebook,
      GimpColorProfile* profile,
      GimpColorRenderingIntent intent,
      gboolean bpc
    )

#### Description [src]

Updates all selectors with the current simulation settings.

Available since: | 3.0

#### Parameters

`profile` | `GimpColorProfile`
| A `GimpColorProfile` object.
| The data is owned by the caller of the function.
`intent` | `GimpColorRenderingIntent`
| A `GimpColorRenderingIntent` enum.
`bpc` | `gboolean`
| A gboolean.